Page MenuHomePhabricator

INVALID_CHARACTER_ERR (5): the string contains invalid characters
Closed, ResolvedPublic

Description

From http://localhost:8000/wikimediafoundation.org/v3/page/html/L11_ExtraInfo_0902_Y%2Fen%2FUS/67456

What's happening is that there's a registered extension tag <html> on that wiki that's returning garbage. domino parses the returned html just fine but when we get to unpacking the dom, we now use migrating nodes between doms which barfs when trying to adopt the nodes.

Event Timeline

Arlolra created this task.Jan 18 2018, 10:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2018, 10:39 PM
Arlolra triaged this task as Low priority.Jan 18 2018, 10:39 PM

Another case where the lack of extension content sanitization is biting us.

Arlolra claimed this task.Mar 2 2018, 12:54 AM

Change 415791 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Prevent crashing on foundationwiki pages

https://gerrit.wikimedia.org/r/415791

See T179082 for a proper solution.

Change 415791 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Prevent crashing on foundationwiki pages

https://gerrit.wikimedia.org/r/415791

Arlolra closed this task as Resolved.Apr 6 2018, 5:32 PM